Page MenuHomePhabricator

How to embed external tools (islands) in Docker
Closed, ResolvedPublic

Description

Useful tools are being developed outside WMF. (e.g. wikigenomes, reasonator). Can these be embedded in the standardized Wikibase installs.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 23 2018, 4:05 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptApr 24 2018, 6:16 AM
Tarrow added a subscriber: Tarrow.Apr 24 2018, 7:03 AM

We're currently working on making a Quickstatements container which can then be used as part of the docker-compose setup. Similar tools could probably be added in a similar way.

We're currently working on making a Quickstatements container which can then be used as part of the docker-compose setup. Similar tools could probably be added in a similar way.

I agree, if an image is created for any external tool then it can easily be pulled into the docker compose example or any other setup.

Addshore closed this task as Resolved.Jun 26 2018, 4:19 PM
Addshore claimed this task.

This is a great idea, and now we have an image for quick statements.

Other tools can follow the same examples, all that is required is a DockerFile / docker image and the tool can be easily integrated into the example environment.

Restricted Application added a project: User-Addshore. · View Herald TranscriptJun 26 2018, 4:19 PM
Vvjjkkii renamed this task from How to embed external tools (islands) in Docker to ffeaaaaaaa.Jul 1 2018, 1:14 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Addshore as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
AntiCompositeNumber renamed this task from ffeaaaaaaa to How to embed external tools (islands) in Docker.Jul 1 2018, 4:18 AM
AntiCompositeNumber closed this task as Resolved.
AntiCompositeNumber assigned this task to Addshore.
AntiCompositeNumber raised the priority of this task from High to Needs Triage.
AntiCompositeNumber updated the task description. (Show Details)
AntiCompositeNumber added a subscriber: Aklapper.